Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2022-02-16 23:26:28

0001 #!/bin/bash
0002 function die { echo $1: status $2; exit $2; }
0003 
0004 customise_commands="process.GlobalTag.toGet = cms.VPSet()\
0005 \nprocess.GlobalTag.toGet.append(cms.PSet(record = cms.string(\"AlCaRecoTriggerBitsRcd\"),tag =  cms.string(\"AlCaRecoHLTpaths_PPS2022_express_v1\"), connect = cms.string(\"frontier://FrontierProd/CMS_CONDITIONS\")))\
0006 \nprocess.GlobalTag.toGet.append(cms.PSet(record = cms.string(\"PPSTimingCalibrationLUTRcd\"),tag =  cms.string(\"PPSDiamondTimingCalibrationLUT_test\"), connect = cms.string(\"frontier://FrontierProd/CMS_CONDITIONS\")))\
0007 \nprocess.ALCARECOPPSCalMaxTracksFilter.TriggerResultsTag = cms.InputTag(\"TriggerResults\",\"\",\"HLTX\")"
0008 
0009 INPUTFILE="/store/group/alca_global/pps_alcareco_producer_tests/outputALCAPPS_single.root"
0010 COMMMAND=`xrdfs cms-xrd-global.cern.ch locate $INPUTFILE`
0011 STATUS=$?
0012 echo "xrdfs command status = "$STATUS
0013 if [ $STATUS -eq 0 ]; then
0014     echo "Using file ${INPUTFILE}. Running in ${LOCAL_TEST_DIR}."
0015     (cmsDriver.py testExpressPPSAlCaRecoProducer -s ALCAPRODUCER:PPSCalMaxTracks,ENDJOB \
0016     --process ALCARECO \
0017     --scenario pp \
0018     --era ctpps_2018 \
0019     --conditions auto:run3_data_express \
0020     --data  \
0021     --datatier ALCARECO \
0022     --eventcontent ALCARECO \
0023     --nThreads 8 \
0024     --number 100 --filein ${INPUTFILE} \
0025     --fileout file:outputALCAPPS_RECO_express.root \
0026     --customise_commands="$customise_commands") || die 'failed running test_express_AlCaRecoProducer' $?
0027 else
0028     die "SKIPPING test, file ${INPUTFILE} not found" 0
0029 fi